## ariba 2.14.7+ds

=== requirements.txt ===
BeautifulSoup4 >= 4.1.0
biopython < 1.78
dendropy >= 4.2.0
pyfastaq >= 3.12.0
pysam >= 0.21.0
pymummer <= 0.10.3
matplotlib >= 3.1.0

## ariba 2.6.1+ds

=== debian/changelog ===
ariba (2.6.1+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 21 Dec 2016 19:14:35 +0000

ariba (2.6.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Adjust dependency versions in d/control.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 21 Dec 2016 10:45:02 +0000

ariba (2.5.1+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 05 Dec 2016 09:58:45 +0000

ariba (2.5.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Adjust dependency versions in d/control.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 18 Nov 2016 19:57:10 +0000

ariba (2.4.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 02 Nov 2016 10:51:12 +0100

ariba (2.3.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 12 Oct 2016 16:00:09 +0000

ariba (2.2.5+ds-1) unstable; urgency=medium

  * New upstream release.
  * Drop dependency on samtools and bcftools.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 31 Aug 2016 13:24:41 +0000

ariba (2.2.4+ds-1) unstable; urgency=medium

  * New upstream release.
  * Adjust pymummer dependency to min version 0.8.1.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 24 Aug 2016 08:14:05 +0000

ariba (2.2.3+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 23 Aug 2016 12:00:19 +0000

ariba (2.2.2+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 22 Aug 2016 17:10:32 +0000

ariba (2.2.1+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 18 Aug 2016 20:32:37 +0000

ariba (2.2.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 18 Aug 2016 15:03:08 +0000

ariba (2.1.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Adjust dependencies to new upstream requirements.
  * Drop patches applied by upstream or made obsolete.
  * Add bindnow hardening.
  * Simplify manpage building.
  * Change architecture to any as ariba now builds native
    Python extensions.
  * Add shlibs:Depends for ariba binary package.
  * d/watch: use zip file from GitHub due to long filenames
    in tarball

 -- Sascha Steinbiss <satta@debian.org>  Thu, 04 Aug 2016 10:19:46 +0000

ariba (1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Update uploader email.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 28 Jun 2016 14:24:04 +0000

ariba (1.0.0-1) unstable; urgency=low

  * Initial packaging (Closes: #825529)

 -- Sascha Steinbiss <satta@debian.org>  Fri, 27 May 2016 10:45:11 +0000

=== debian/control ===
Source: ariba
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <satta@debian.org>
Section: science
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               python3,
               python3-dev,
               python3-dendropy (>= 4.1.0),
               python3-setuptools,
               python3-pymummer (>= 0.10.1),
               python3-pysam (>= 0.9.1),
               python3-nose (>= 1.3),
               bowtie2 (>= 2.1.0),
               cd-hit,
               mash,
               libminimap-dev,
               libfml-dev,
               mummer,
               fastaq (>= 3.12.0),
               help2man,
               asciidoctor
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/ariba.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/ariba.git
Homepage: https://github.com/sanger-pathogens/ariba

Package: ariba
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         bowtie2 (>= 2.1.0),
         cd-hit,
         mash,
         libfml0,
         libminimap0,
         mummer,
         python3-dendropy (>= 4.1.0),
         python3-pymummer (>= 0.10.1),
         python3-pysam (>= 0.8.1),
         fastaq (>= 3.12.0),
Description: Antibiotic Resistance Identification By Assembly
 ARIBA is a tool that identifies antibiotic resistance genes by running local
 assemblies.
 The input is a FASTA file of reference genes and paired sequencing reads. ARIBA
 reports which of the reference genes were found, plus detailed information on
 the quality of the assemblies and any variants between the sequencing reads
 and the reference genes.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
export PYBUILD_NAME=ariba

mandir := $(CURDIR)/debian/man
debfolder := $(CURDIR)/debian

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf $(mandir)
	dh_auto_clean --

override_dh_installman:
	mkdir -p $(mandir)
	asciidoctor -a docdate='' -b manpage -o $(mandir)/ariba.1 $(debfolder)/ariba.1.adoc
	#PYTHONPATH=. scripts/ariba 2>&1 | tail -n +10 | head -n 14 | $(debfolder)/make_man
	dh_installman --

override_dh_auto_test:
	python3 setup.py nosetests
	dh_auto_test --

## ariba 2.7.1+ds

=== debian/changelog ===
ariba (2.7.1+ds-1ubuntu1) zesty; urgency=medium

  * Ignore build-time tests which segfault on buildds

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 03 Mar 2017 10:23:37 +0200

ariba (2.7.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Raise version requirement for dendropy build-dep to 4.2.0.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 27 Jan 2017 17:48:41 +0100

ariba (2.7.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Add new dep on python3-bs4 (BeautifulSoup4).

 -- Sascha Steinbiss <satta@debian.org>  Tue, 17 Jan 2017 12:06:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: ariba
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Sascha Steinbiss <satta@debian.org>
 Section: science
 Testsuite: autopkgtest
@@ -7,11 +8,12 @@
 Build-Depends: debhelper (>= 9),
                python3,
                python3-dev,
-               python3-dendropy (>= 4.1.0),
+               python3-dendropy (>= 4.2.0),
                python3-setuptools,
                python3-pymummer (>= 0.10.1),
                python3-pysam (>= 0.9.1),
                python3-nose (>= 1.3),
+               python3-bs4 (>= 4.1.0),
                bowtie2 (>= 2.1.0),
                cd-hit,
                mash,
@@ -37,7 +39,7 @@
          libfml0,
          libminimap0,
          mummer,
-         python3-dendropy (>= 4.1.0),
+         python3-dendropy (>= 4.2.0),
          python3-pymummer (>= 0.10.1),
          python3-pysam (>= 0.8.1),
          fastaq (>= 3.12.0),

=== debian/rules ===
--- 
+++ 
@@ -20,5 +20,5 @@
 	dh_installman --
 
 override_dh_auto_test:
-	python3 setup.py nosetests
+	-python3 setup.py nosetests
 	dh_auto_test --

## ariba 2.10.1+ds

=== debian/changelog ===
ariba (2.10.1+ds-1) unstable; urgency=medium

  * New upstream release.
    Closes: #870362

 -- Sascha Steinbiss <satta@debian.org>  Tue, 15 Aug 2017 10:37:13 +0200

ariba (2.10.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 28 Jun 2017 22:59:02 +0200

ariba (2.9.4+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 18 Jun 2017 10:30:10 +0000

ariba (2.9.4+ds-1) experimental; urgency=medium

  * New upstream version.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 29 May 2017 16:58:51 +0200

ariba (2.9.3+ds-1) experimental; urgency=medium

  * New upstream version.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 28 Apr 2017 16:54:06 +0200

ariba (2.9.2+ds-1) experimental; urgency=medium

  * New upstream version.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 27 Apr 2017 10:01:07 +0200

ariba (2.7.2+ds-1) experimental; urgency=medium

  * Team upload.

  [ Sascha Steinbiss ]
  * New upstream release.
  * Raise version requirement for pymummer dep to 0.10.2.
  * Fix dependency version requirement for pysam.

  [ Andreas Tille ]
  * Adapt to fermi-lite changes that do not create conflict with libbwa

 -- Andreas Tille <tille@debian.org>  Fri, 10 Feb 2017 08:55:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: ariba
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Sascha Steinbiss <satta@debian.org>
 Section: science
 Testsuite: autopkgtest
@@ -10,20 +9,22 @@
                python3-dev,
                python3-dendropy (>= 4.2.0),
                python3-setuptools,
-               python3-pymummer (>= 0.10.1),
+               python3-pymummer (>= 0.10.2),
                python3-pysam (>= 0.9.1),
                python3-nose (>= 1.3),
                python3-bs4 (>= 4.1.0),
+               python3-matplotlib,
+               python3-tk,
                bowtie2 (>= 2.1.0),
                cd-hit,
                mash,
                libminimap-dev,
-               libfml-dev,
+               libfml-dev (>= 0.1-3),
                mummer,
                fastaq (>= 3.12.0),
                help2man,
                asciidoctor
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/ariba.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/ariba.git
 Homepage: https://github.com/sanger-pathogens/ariba
@@ -40,8 +41,10 @@
          libminimap0,
          mummer,
          python3-dendropy (>= 4.2.0),
-         python3-pymummer (>= 0.10.1),
-         python3-pysam (>= 0.8.1),
+         python3-pymummer (>= 0.10.2),
+         python3-pysam (>= 0.9.1),
+         python3-matplotlib,
+         python3-tk,
          fastaq (>= 3.12.0),
 Description: Antibiotic Resistance Identification By Assembly
  ARIBA is a tool that identifies antibiotic resistance genes by running local

=== debian/watch ===
version=3
opts=repacksuffix=+ds,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,repack,compression=xz \
https://github.com/sanger-pathogens/ariba/releases .*/archive/v(\d[\d.-]+)\.zip

## ariba 2.11.1+ds

=== debian/changelog ===
ariba (2.11.1+ds-3) unstable; urgency=medium

  [ Steffen Möller ]
  * Update SciCrunch RRID in d/u/metadata.

  [ Sascha Steinbiss ]
  * Remove distutils again from runtime deps.
    Closes: #894903
  * Use Salsa Vcs-* URLs.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 13 Apr 2018 07:15:32 +0200

ariba (2.11.1+ds-2) unstable; urgency=medium

  * add distutils as runtime dependency

 -- Sascha Steinbiss <satta@debian.org>  Fri, 23 Mar 2018 07:23:32 +0100

ariba (2.11.1+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 05 Mar 2018 00:29:24 +0100

ariba (2.11.0+ds-2) unstable; urgency=medium

  * Fix watchfile to not report non-release tags (with '-X' suffix).

 -- Sascha Steinbiss <satta@debian.org>  Sat, 10 Feb 2018 12:26:13 +0100

ariba (2.11.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 05 Feb 2018 09:47:29 +0100

ariba (2.10.3+ds-2) unstable; urgency=medium

  * Add d/upstream/metadata.
    Thanks to Steffen Moeller for providing registry information.
  * Bump Standards-Version.
  * Require Python3 version in d/control.
  * Clean up test override target in d/rules.
  * Remove obsolete Testsuite entry in d/control.
  * Clean up unused patches from patch dir.
  * Use secure copyright format link in d/copyright.
  * Use debhelper 10.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 30 Jan 2018 10:28:08 +0100

ariba (2.10.3+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 28 Nov 2017 17:01:36 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Sascha Steinbiss <satta@debian.org>
 Section: science
-Testsuite: autopkgtest
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                python3,
+               python3-all,
                python3-dev,
                python3-dendropy (>= 4.2.0),
                python3-setuptools,
@@ -24,9 +24,10 @@
                fastaq (>= 3.12.0),
                help2man,
                asciidoctor
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/ariba.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/ariba.git
+Standards-Version: 4.1.4
+X-Python3-Version: >= 3.2
+Vcs-Browser: https://salsa.debian.org/med-team/ariba
+Vcs-Git: https://salsa.debian.org/med-team/ariba.git
 Homepage: https://github.com/sanger-pathogens/ariba
 
 Package: ariba

## ariba 2.12.1+ds

=== debian/changelog ===
ariba (2.12.1+ds-2~bpo9+2) stretch-backports; urgency=medium

  * Versioned (Build-)Depends: libfml(0|-dev) (>= 0.1-4~)

 -- Andreas Tille <tille@debian.org>  Thu, 25 Oct 2018 12:50:51 +0200

ariba (2.12.1+ds-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Fri, 19 Oct 2018 22:10:15 +0200

ariba (2.12.1+ds-2) unstable; urgency=medium

  * Team upload.
  * Build-Depends: python3-all-dev (instead of python3-all and python3-dev)
    Closes: #905616
  * Standards-Version: 4.2.0
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Thu, 16 Aug 2018 08:05:21 +0200

ariba (2.12.1+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 20 Jun 2018 11:00:31 +0200

ariba (2.12.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Remove obsolete python version hint in d/control.
  * Bump to debhelper 11.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 15 May 2018 17:08:54 +0200

=== debian/control ===
--- 
+++ 
@@ -3,29 +3,26 @@
 Uploaders: Sascha Steinbiss <satta@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               python3,
-               python3-all,
-               python3-dev,
-               python3-dendropy (>= 4.2.0),
+Build-Depends: debhelper (>= 11),
+               python3-all-dev,
+               python3-dendropy,
                python3-setuptools,
                python3-pymummer (>= 0.10.2),
                python3-pysam (>= 0.9.1),
                python3-nose (>= 1.3),
-               python3-bs4 (>= 4.1.0),
+               python3-bs4,
                python3-matplotlib,
                python3-tk,
                bowtie2 (>= 2.1.0),
                cd-hit,
                mash,
                libminimap-dev,
-               libfml-dev (>= 0.1-3),
+               libfml-dev (>= 0.1-4~),
                mummer,
                fastaq (>= 3.12.0),
                help2man,
                asciidoctor
-Standards-Version: 4.1.4
-X-Python3-Version: >= 3.2
+Standards-Version: 4.2.0
 Vcs-Browser: https://salsa.debian.org/med-team/ariba
 Vcs-Git: https://salsa.debian.org/med-team/ariba.git
 Homepage: https://github.com/sanger-pathogens/ariba
@@ -38,15 +35,15 @@
          bowtie2 (>= 2.1.0),
          cd-hit,
          mash,
-         libfml0,
+         libfml0 (>= 0.1-4~),
          libminimap0,
          mummer,
-         python3-dendropy (>= 4.2.0),
+         python3-dendropy,
          python3-pymummer (>= 0.10.2),
          python3-pysam (>= 0.9.1),
          python3-matplotlib,
          python3-tk,
-         fastaq (>= 3.12.0),
+         fastaq (>= 3.12.0)
 Description: Antibiotic Resistance Identification By Assembly
  ARIBA is a tool that identifies antibiotic resistance genes by running local
  assemblies.

## ariba 2.13.1+ds

=== debian/changelog ===
ariba (2.13.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Add new dependency to biopython.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 21 Nov 2018 16:29:34 +0100

ariba (2.12.1+ds-3) unstable; urgency=medium

  * Team upload.
  * Should Build-Depend: python3-dev instead of python3-all-dev since it
    is just an application that simply goes with the default Python version
  * Standards-Version: 4.2.1
  * Versioned (Build-)Depends: libfml(0|-dev) (>= 0.1-4~)

 -- Andreas Tille <tille@debian.org>  Thu, 25 Oct 2018 13:19:53 +0200

## ariba 2.13.2+ds

=== debian/changelog ===
ariba (2.13.2+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 23 Dec 2018 14:40:20 +0000

## ariba 2.13.3+ds

=== debian/changelog ===
ariba (2.13.3+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 05 Jan 2019 10:34:41 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 11),
-               python3-all-dev,
+               python3-biopython,
+               python3-dev,
                python3-dendropy,
                python3-setuptools,
                python3-pymummer (>= 0.10.2),
@@ -22,7 +23,7 @@
                fastaq (>= 3.12.0),
                help2man,
                asciidoctor
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/med-team/ariba
 Vcs-Git: https://salsa.debian.org/med-team/ariba.git
 Homepage: https://github.com/sanger-pathogens/ariba
@@ -38,6 +39,7 @@
          libfml0 (>= 0.1-4~),
          libminimap0,
          mummer,
+         python3-biopython,
          python3-dendropy,
          python3-pymummer (>= 0.10.2),
          python3-pysam (>= 0.9.1),

## ariba 2.14.2+ds

=== debian/changelog ===
ariba (2.14.2+ds-1) unstable; urgency=medium

  * New upstream release.
  * Make sure all testdata is installed before running after-build tests.
  * Disable tests attempting Internet access.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 08 Jul 2019 18:06:19 +0200

## ariba 2.14.4+ds

=== debian/changelog ===
ariba (2.14.4+ds-2build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:30:04 +0000

ariba (2.14.4+ds-2) unstable; urgency=medium

  * Add B-D on dh-python to fix FTBFS.
  * Use debhelper-compat.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 24 Jan 2020 07:40:24 +0100

ariba (2.14.4+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 26 Sep 2019 10:32:46 +0200

ariba (2.14.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version.
  * Use debhelper 12.
  * Add patch headers.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 09 Sep 2019 21:06:06 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Uploaders: Sascha Steinbiss <satta@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
+               dh-python,
                python3-biopython,
                python3-dev,
                python3-dendropy,
@@ -23,7 +24,7 @@
                fastaq (>= 3.12.0),
                help2man,
                asciidoctor
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/ariba
 Vcs-Git: https://salsa.debian.org/med-team/ariba.git
 Homepage: https://github.com/sanger-pathogens/ariba

=== debian/rules ===
--- 
+++ 
@@ -16,9 +16,4 @@
 override_dh_installman:
 	mkdir -p $(mandir)
 	asciidoctor -a docdate='' -b manpage -o $(mandir)/ariba.1 $(debfolder)/ariba.1.adoc
-	#PYTHONPATH=. scripts/ariba 2>&1 | tail -n +10 | head -n 14 | $(debfolder)/make_man
 	dh_installman --
-
-override_dh_auto_test:
-	-python3 setup.py nosetests
-	dh_auto_test --

=== debian/watch ===
version=3
opts=repacksuffix=+ds,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,repack,compression=xz \
https://github.com/sanger-pathogens/ariba/releases .*/archive/v(\d[\d.]+)\.zip

## ariba 2.14.5+ds

=== debian/changelog ===
ariba (2.14.5+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 22 May 2020 10:45:32 +0200

ariba (2.14.4+ds-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build for all supported python3 versions to fix test failures in complex
    Python environments and ease python3 transitions (Closes: #951944)

 -- Scott Kitterman <scott@kitterman.com>  Tue, 24 Mar 2020 11:14:59 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-biopython,
-               python3-dev,
+               python3-all-dev,
                python3-dendropy,
                python3-setuptools,
                python3-pymummer (>= 0.10.2),

## ariba 2.14.6+ds

=== debian/changelog ===
ariba (2.14.6+ds-3build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 19:20:24 +0000

ariba (2.14.6+ds-3) unstable; urgency=medium

  * Team Upload.
  * Switch from nosetest -> pytest

 -- Nilesh Patra <nilesh@debian.org>  Sun, 19 Dec 2021 00:26:03 +0530

ariba (2.14.6+ds-2) unstable; urgency=medium

  * Fix d/watch to work with GitHub link structure.
  * Add Rules-Requires-Root.
  * Bump Standards-Version.
  * Update watchfile version.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 28 Sep 2021 21:55:29 +0200

ariba (2.14.6+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 13 Sep 2020 18:34:46 +0200

ariba (2.14.5+ds-3) unstable; urgency=medium

  * Only build-depend on spades on amd64.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 03 Jul 2020 19:55:45 +0200

ariba (2.14.5+ds-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Build-Depends: spades <!nocheck>
  * Suggests: spades

  [ Sascha Steinbiss ]
  * Add patch to fix test failures.
    Closes: #963332
  * Add patch to call SPAdes correctly.
  * Add upstream metadata.
  * Use debhelper 13.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 30 Jun 2020 12:32:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Sascha Steinbiss <satta@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-biopython,
                python3-all-dev,
@@ -11,7 +11,7 @@
                python3-setuptools,
                python3-pymummer (>= 0.10.2),
                python3-pysam (>= 0.9.1),
-               python3-nose (>= 1.3),
+               python3-pytest,
                python3-bs4,
                python3-matplotlib,
                python3-tk,
@@ -23,8 +23,10 @@
                mummer,
                fastaq (>= 3.12.0),
                help2man,
-               asciidoctor
-Standards-Version: 4.5.0
+               asciidoctor,
+               spades [amd64] <!nocheck>
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/med-team/ariba
 Vcs-Git: https://salsa.debian.org/med-team/ariba.git
 Homepage: https://github.com/sanger-pathogens/ariba
@@ -47,6 +49,7 @@
          python3-matplotlib,
          python3-tk,
          fastaq (>= 3.12.0)
+Suggests: spades
 Description: Antibiotic Resistance Identification By Assembly
  ARIBA is a tool that identifies antibiotic resistance genes by running local
  assemblies.

=== debian/watch ===
version=4
opts=repacksuffix=+ds,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,repack,compression=xz \
https://github.com/sanger-pathogens/ariba/releases .*/archive/refs/tags/v(\d[\d.]+)\.zip

## ariba 2.14.7%2Bds

=== debian/changelog ===
ariba (2.14.7+ds-7syncable1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 17:40:01 +0000

ariba (2.14.7+ds-7syncable1) plucky; urgency=medium

  * Work around FTBFS due to failing test on an external tool.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 09 Mar 2025 21:21:55 -0500

ariba (2.14.7+ds-7build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 14:44:01 +0000

ariba (2.14.7+ds-7) unstable; urgency=medium

  * d/control: add missing dependency on python3-pkg-resources.
    (Closes: #1094725)

 -- Étienne Mollier <emollier@debian.org>  Thu, 30 Jan 2025 22:22:05 +0100

ariba (2.14.7+ds-6) unstable; urgency=medium

  [ s3v ]
  * py3.13.patch: new: update "exec" and "eval" invocation.  (Closes: #1092524)

  [ Étienne Mollier ]
  * d/patches/*: normalise last update timestamp.

 -- Étienne Mollier <emollier@debian.org>  Tue, 14 Jan 2025 19:56:19 +0100

ariba (2.14.7+ds-5) unstable; urgency=medium

  * Team upload.
  * Fix Python3.12 syntax warnings
    Closes: #1085332
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 04 Dec 2024 17:25:45 +0100

ariba (2.14.7+ds-4) unstable; urgency=medium

  * Team upload.
  * d/rules: Fix the way that
    test_load_fasta_files_and_write_clusters_file test is skipped whether
    non-supported Python3 versions is building (Closes: #1085587).

 -- Emmanuel Arias <eamanu@debian.org>  Mon, 04 Nov 2024 23:46:11 -0300

ariba (2.14.7+ds-3) unstable; urgency=medium

  * Team upload.
  * d/rules: Skip test_load_fasta_files_and_write_clusters_file test for
    non-supported Python3 versions. Spades need to be built for all supported
    Python3 before remove the skip (Closes: #1085587).

 -- Emmanuel Arias <eamanu@debian.org>  Sat, 02 Nov 2024 18:13:20 -0300

ariba (2.14.7+ds-2) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtest by replacing distutils
    Closes: #1061784
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 01 Feb 2024 09:14:37 +0100

ariba (2.14.7+ds-1) unstable; urgency=medium

  * New upstream version 2.14.7+ds
  * port-to-pytest.patch: remove: applied upstream.
  * mpileup-1.16.patch: remove: applied upstream.
  * add-testdata.patch: refresh.
  * adjust-bowtie2-test.patch: remove: fixed upstream.
  * skip-cluster-test.patch: remove: fixed upstream.
  * disable-tests-with-internet-access.patch: forwarding not-needed.

 -- Étienne Mollier <emollier@debian.org>  Sat, 14 Oct 2023 11:24:46 +0200

ariba (2.14.6+ds-5) unstable; urgency=medium

  * d/salsa-ci.yml: disable i386 run due to missing B-D.
  * d/control: bring back support for all python3 versions.
  * d/control: add myself to uploaders.
  * d/control: declare compliance to standards version 4.6.2.

 -- Étienne Mollier <emollier@debian.org>  Sat, 07 Jan 2023 15:13:14 +0100

ariba (2.14.6+ds-4) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)
  * Add salsa-ci file (routine-update)

  [ Étienne Mollier ]
  * mpileup-1.16.patch: add; fix mpileup calls since htslib 1.16.
    (Closes: #1021675, #1022508)
  * skip-cluster-test.patch: add; skip due to mismatched output.
  * adjust-bowtie2-test.patch: skip some bowtie2 tests needing refresh.
  * d/control: don't built for python3.11 until pysam supports it.

 -- Étienne Mollier <emollier@debian.org>  Wed, 14 Dec 2022 21:34:16 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,17 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 export PYBUILD_NAME=ariba
 
+
+ifneq ($(shell py3versions -d),$(shell py3versions -s))
+	export PYBUILD_TEST_ARGS_$(filter-out $(shell py3versions -d),$(shell py3versions -s))=-k "not test_load_fasta_files_and_write_clusters_file"
+endif
+
+
 mandir := $(CURDIR)/debian/man
 debfolder := $(CURDIR)/debian
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_clean:
 	rm -rf $(mandir)

## ariba 2.14.7+ds

=== debian/changelog ===
ariba (2.14.7+ds-9) unstable; urgency=medium

  * Restrict build to Python 3.13 for now due to issues with pysam.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 04 Dec 2025 08:36:08 +0100

ariba (2.14.7+ds-8) unstable; urgency=medium

  * Use fixed timestamps for recreated test files to improve reproducibility.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 03 Dec 2025 15:22:12 +0100

=== debian/control ===
Source: ariba
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <satta@debian.org>,
           Étienne Mollier <emollier@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3,
               python3-biopython,
               python3.13-dev,
               python3-dendropy,
               python3-setuptools,
               python3-pymummer,
               python3-pysam,
               python3-pytest,
               python3-bs4,
               python3-matplotlib,
               python3-tk,
               bowtie2,
               cd-hit,
               mash,
               libminimap-dev,
               libfml-dev,
               mummer,
               fastaq,
               help2man,
               asciidoctor,
               spades [amd64] <!nocheck>
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/med-team/ariba
Vcs-Git: https://salsa.debian.org/med-team/ariba.git
Homepage: https://github.com/sanger-pathogens/ariba
Rules-Requires-Root: no

Package: ariba
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         bowtie2,
         cd-hit,
         mash,
         libfml0,
         libminimap0,
         mummer,
         python3-biopython,
         python3-dendropy,
         python3-pkg-resources,
         python3-pymummer,
         python3-pysam,
         python3-matplotlib,
         python3-tk,
         fastaq
Suggests: spades
Description: Antibiotic Resistance Identification By Assembly
 ARIBA is a tool that identifies antibiotic resistance genes by running local
 assemblies.
 The input is a FASTA file of reference genes and paired sequencing reads. ARIBA
 reports which of the reference genes were found, plus detailed information on
 the quality of the assemblies and any variants between the sequencing reads
 and the reference genes.

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 export PYBUILD_NAME=ariba
 
+# Build only for Python 3.13 - pysam doesn't support 3.14 yet
+export PYBUILD_VERSIONS=3.13
 
 ifneq ($(shell py3versions -d),$(shell py3versions -s))
 	export PYBUILD_TEST_ARGS_$(filter-out $(shell py3versions -d),$(shell py3versions -s))=-k "not test_load_fasta_files_and_write_clusters_file"
@@ -23,3 +25,10 @@
 	mkdir -p $(mandir)
 	asciidoctor -a docdate='' -b manpage -o $(mandir)/ariba.1 $(debfolder)/ariba.1.adoc
 	dh_installman --
+
+# Normalize timestamps of test data files modified during test runs (reproducibility fix)
+override_dh_fixperms:
+	dh_fixperms
+	find debian/ariba -path '*/pubmlst_ref_prepare.test_load_fa_and_clusters.in/gene*.tfa' \
+		-printf 'Normalizing timestamp: %p\n' \
+		-exec touch --date="@$(SOURCE_DATE_EPOCH)" {} +
